Installation
Also available as:
PDF

In-Place Upgrade with Ambari 2.5

You can upgrade to SmartSense 1.4.x without uninstalling SmartSense:

  1. Log in to Ambari web UI and stop the SmartSense service.

  2. Upgrade binaries on the HST server and all HST agents on every node in the cluster, assuming that the Ambari 2.4 repository is configured on all nodes in the cluster:

    • RHEL or CentOS

      yum clean all
      yum info smartsense-hst

      In the info output, visually validate that there is an available version containing "1.4.x”:

      yum upgrade smartsense-hst
    • SLES

      zypper clean
      zypper info smartsense-hst

      In the info output, visually validate that there is an available version containing "1.4.x":

      zypper up smartsense-hst
    • Ubuntu or Debian

      apt-get clean all
      apt-get update 
      apt-cache show smartsense-hst | grep Version 

      In the info output, visually validate that there is an available version containing "1.4.x":

      apt-get install smartsense-hst 
  3. Upgrade Ambari service and Ambari view by running the hst upgrade-ambari-service command as the root user from the machine running the Ambari server. You can run the command in the interactive or non-interactive mode:

    Interactive mode example:

    # hst upgrade-ambari-service
    Please enter Ambari Server hostname (ambari-server.hortonworks.local): 
    Please enter Ambari Server port (8080): 
    Please enter Ambari admin user id (admin): 
    Please enter password for admin: 
    
    Un-installing old view ...
    Installing new view ...
    Removing deprecated alerts ...
    Updating SmartSense configurations in Ambari ...
    
    SmartSense service upgrade completed!
    NOTE: It is required to restart Ambari Server for changes to reflect. Please restart ambari using 'ambari-server restart'

    Non-interactive mode example:

    # hst upgrade-ambari-service -u admin -p 8080 -H ambari-server.hortonworks.local -P MySecurePassword123
    Un-installing old view ...
    Installing new view ...
    Removing deprecated alerts ...
    Updating SmartSense configurations in Ambari ...
    SmartSense service upgrade completed!
    NOTE: It is required to restart Ambari Server for changes to reflect. Please restart ambari using 'ambari-server restart'

  4. Restart the Ambari server:

    # ambari-server restart
  5. After the packages are upgraded and the HST upgrade is complete, log in to Ambari web UI and start all SmartSense services.

  6. Skip this step if your current version is 1.3 or higher: Since SmartSense 1.3.0 introduced two new components, Activity Analyzer and Activity Explorer, you need to add these components to Ambari. To do this:

    1. In Ambari web UI, click on Hosts and then navigate to the host on which you want to install the components.

      [Note]Note

      Refer to the Activity Analyzer Placement section for advice on which hosts to choose when placing the Activity Analyzer.

    2. Click on Add and add Activity Analyzer and then Activity Explorer component.

    3. Start Activity Analyzer and Activity Explorer components by selecting Start next to the component name.

  7. Ensure that all components are upgraded by triggering a SmartSense analysis capture, and ensure that the capture finishes successfully.

  8. If you have HST Gateway installed, you need to also upgrade your HST Gateway:

    • If the HST Gateway is installed on the same node as HST Server or HST Agent, then the HST Gateway will get upgraded along with them.

    • If the HST Gateway is a standalone node outside of the cluster, perform upgrade steps described in Upgrading SmartSense Gateway.